Cофтпанорама 1990, No. 2 (6)            Составитель: Н.Н. БЕЗРУКОВ
******************************************************************

             ***************************************
             *  П А Н О Р А М А   Н О В О С Т Е Й  *
             ***************************************



**** Начинает работу клуб пользователей редактора MultiEdit ******
******* Руководитель клуба Руслан Сытник прочитает лекцию ********
*********** об  использовании  макросредств 22 февраля ***********

     С данного номера бюллетеня СОФТПАНОРАМА мы будем помещать на-
иболее интересные макроопределения и  описания  приемов  работы  в
текстовым редактором  MultiEdit.  Кроме того в рамках "четверговых
лекций" организуемых семинаром "Системное  программирование" будет
прочитан ряд   лекций   по  использованию  макросредств  и  других
"advanced" возможностей данного мощного и гибкого редактора:  под-
ходящего инструмента  для опытных системных программистов, которые
с помощью макросредств могут существенно облегчить и ускорить  вы-
полнение многих видов набивки и редакторования. Первая лекция это-
го цикла состоится 22 февраля в 15.00 в КИИГА, ауд. 4-205.
     В целях организации обмена мнениями между специалистами,  ис-
пользующими MultiEdit и организован  подкаталог  ME_CLUB  каталога
FORUM нашего  бюллетеня.  Все  материалы  для  включения  в раздел
просьба направлять  Сытнику  Руслану  Викторовичу  тел.  263-93-78
(дом), 412-09-09.
                                                      Н.Н.Безруков

**************** Ассонов & Костюков - так держать ! **************
**** Семинар "Информационные системы" провел второе заседание ****
********* Участники  нашего семинара, использующие dBase *********
************  активнее включайтесь в работу семинара ! ***********
**** Политех и Университет могут тоже организовать семинары ******

     Семинар "Информационные  системы"  провел очередное заседание
30 января в КИНХе.  К сожалению, программу и дату проведения семи-
нара организаторы не сообщили на заседании нашего семинара 11  ян-
варя и я не смог вовремя проинформировать участников о предстоящем
заседании. Как уже сообщалось семинар организован в КИНХ А.Ассоно-
вым и С.Костюковым.  На втором заседании был заслушан ряд докладов
по базам данным и электронных таблицам.  Следует отметить  большую
работу,  проведенную организаторами. Они успешно использовали мно-
гие проверенные на нашим семинаре организационные  идеи:  рассылку
приглашений по почте (к сожалению,  хотя семинар и посвящен инфор-
мационным системам,  автоматизированная система рассылки приглаше-
ний пока отсутствует,  запись дискеты с бюллетенем семинара непос-
редственно  на  заседании  (некоторые  материалы,   включенные   в
ИС-бюллетень,  вопроизводятся в подкаталоге DB_CLUB данного выпус-
ка), организацию семинара в виде двух частей с перерывом между ни-
ми для общения участников и др.
     Конечно проведение  первых заседаний связано со многими труд-
ностями и не все протекает гладко.  Как и семинар "Системное прог-
раммирование" семинар  "Информационные  системы" продемонстрировал
полное пренебрежение к регламенту.  Содержание докладов, по мнению
автора, должно носить более практический характер.  Участникам не-
обходимо предоставить больше времени для дискусии  (автор сознает,
что эти  недостатки,  присущи и семинару "Системное программирова-
ние", однако поскольку на семинаре "Информационные системы" я при-
сутствовал в роли участника эти недостатки бросались в глаза).
     Следует отметить,  что такие важные проблемы как компьютерная
графика, сети ЭВМ и экспертные системы нуждаются в организации не-
формальных семинаров с целью обмена информацией и координации  ра-
бот. Политех и Университет,  в которых многие специалисты работают
в указанных  направлениях,  могут послужить организующими центрами
таких неформальных семинаров.

                                                              Ред.

***************  Нортон Коммандер становится удобней *************

     Появилась версия 3.0 одной из наиболее популярных  оболочек -
Norton Commander. В отличие от ранее использовавшейся версии 2.0 в
ней имеется ряд усовершенствований и расширений.
     Наиболее интересна  возможность  передачи  файлов по сети ( в
простейшем случае можно просто связать две  ПЭВМ  тремя  проводами
через последовательный интерфейс и передавать информацию). В наших
условиях это позволяет перекачивать файлы на машины, имеющие толь-
ко трехдюймовый  дисковод  или  только 360К дисковод с других ЭВМ,
имеющих, скажем, дисковод 1.2M.
     Для предотвращения  выгорания  люминофора монитора через нес-
колько секунд после прекращениы ввода с клавиатуры экран  гаснет и
на нем появляется красивая картинка, которую можно назвать "звезд-
ное небо" (отметим,  что некоторые принимают ее за  очередной  ви-
рус).  При  копировании  файлов появилась очень полезная и удобная
возможность выбирать каталог-мишень по дереву (нажав F10  после F5
или F6).
     Можно выдавать на экран не все файлы каталога,  а только  те,
имена которых отвечают определенному условию (фильтру), например .
TXT.  Этот режим особенно удобен в связи в введенной  возможностью
"ускоренного" просмотра  (Quik  VIEW),  когда по мере передвижения
курсора из файла в файл в первом окне, содержимое соответствующего
файла показывается во втором окне.
     К сожалению,  мощность встроенного редактора  практически  не
повышена и он уступает редактору PC SHELL и PathMinder.  Кроме то-
го,  если в первой позиции текста стоит буква кириллицы, то иногда
такой текст изображается в формате XyWriter,  и переходить в режим
TEXT приходится вручную.
                                                              Ред.

********** Правовые методы борьбы с компьютерными вирусами *********
*******************  начинают  действовать в США *******************
* Советские законодатели, как обычно, проснутся когда будет поздно *

     В городе Сиракьюс (штат Нью-Йорк) начался судебный процесс по
делу 25-летнего Роберта Морриса - автора сетевого вируса  поразив-
шего  в ноябре 1988 года порядка 6000 комьютеров,  из более чем 30
тысяч подключенных к американской национальной сети Internet. Хотя
вирус  не содержал действий по разрушению или модификации информа-
ции,  нанесенный в результате прекращения  функционирования  части
сети  и  задержек  в передаче данных ущерб оценивается почти в 100
млн. долларов.
     Процесс на  Моррисом  стал  возможен  в результате принятия в
1986 году федерального закона об ответственности  за преступления,
связанные с компьютерами. Моррису грозит штраф в 250 тыс. долларов
и тюремное заключение сроком до 5 лет.
     Адвокат Морриса  утверждает,  что  тот якобы создал вирус для
проведения эксперимента по проверке защиты компьютера. При этом он
допустил  ошибку  которая  и  привела к нежелательным результатам.
Моррис,  по словам адвоката, не стремился нанести какой-либо ущерб
копьютерным системам США.

        По материалам газеты "Советская Молодежь" (Рига), 19.01.90

**********************  Негодяй попался  *************************

     Джозеф Попп,  предполагаемый  распространитель  компьютерного
вируса, поразившего в декабре Великобританию и многие другие стра-
ны, арестован в американском штате Огайо. Вирус передавался вместе
с компьютерной программой,  содержавшей информацию  о  заболевании
синдромом  приобретенного  иммунодефицита  [СПИД]  и записанной на
дискете, которая была разослана 20 тысячам заказчиков.
     Пользователи этой  программы  -  как индивидуальные владельцы
компьютеров, так и лаборатории, научные центры, больницы - обнару-
живали  после  введения ее в память своих ЭВМ,  что они утрачивали
доступ к другим банкам данных.  Компьютеры почему-то начинали тре-
бовать уплаты 378 долларов для восстановления нормального функцио-
нирования программ и отпечатывали расписку от имени фирмы,  распо-
ложенной в Панаме.

                                                ИЗВЕСТИЯ, 5.02.90

********** Китайские бюрократы интеллектуальнее советских: *******
****** у них импортировано 300 тысяч персональных компьютеров, ***
************ прошла конференция по компьютерным вирусам **********

     В китайском  городе  Куньмин   (провинция   Юньнань)   прошло
конференция по проблемам безопасности компьютерных систем. Как бы-
ло сообщено,  по данным обследования на зараженность десятая часть
из трехсот тысяч компьютеров поражена вирусом.
     Обращает внимание тот факт, что Китай, в отличие от СССР, им-
портировал  крупные партии компьютеров из разных стран,  тем самым
создав базу для проникновения  на  западный  рынок  с  программным
обеспечением.
                                                              Ред.

************* Опасность кражи компьютера  возрастает *************
******** Лучше принять меры безопасности заблаговременно *********


       Ночью, с 14 на 15 января, на ул.Воровского ограблен главный
       информационно-вычислительный центр министерства народного
       образования УССР.

       Что же случилось? Рассказывает В.П.Захарченко, начальник от-
дела управления уголовного розыска УВД Киевсовета:
       - Сегодня еще нельзя сказать обо  всех  подробностях  этого
события.  Очевидно  злоумышленники проникли в вычислительный центр
через окно,  с тыльной стороны сооружения. Связали сторожей, нашли
ключи,  взломали промежуточную стену, открыли несколько помещений,
где были четыре сборные персональные компьютера,  которые  в  свое
время  куплены в одном из киевских кооперативов.  Похищено в общем
шестнадцать составляющих - дисплеи,  клавиатуры,  принтеры,  блоки
памяти.  Можно  предполагать,  что грабители имели свой транспорт,
ведь унести все это в руках -  нереально.
       Кражи компьютерной техники - случаи не редкие. И приходится
констатировать,  к сожалению,  что заметна тенденция к  увеличению
количества таких преступлений. Только в этом году - уже две кражи.
В прошлом же - среди потерпевших, скажем так, были технологический
институт   легкой   промышленности,   объединение  "Видеоэкспорт",
ЖЭК-1107,  а институт биохимии АН УССР - даже  дважды.  Пострадало
тогда и компьютерное хозяйство "Киевгорлесбумагоснабсбыт", но сот-
рудники Ватутинского РОВД много приложили усилий,  чтобы розыскать
воров.  Ими  были Т.  и К.,  1963 и 1962 годов рождения,  рабочие.
Следствие по этому делу еще продолжается. Задержан недавно и граж-
данин  К.,  которого очень "заинтересовали" компьютеры на одном из
предприятий в Жовтневом районе.
       Так что,  если откровенно,  хватает работы всем - тем,  кто
ворует,  тем,  кто их ищет.  Но, делает ударение В.П.Захарченко, в
правоохранителей работы было бы меньше,  если бы на предприятиях и
в организациях как надлежит заботились об охране  объектов,  госу-
дарственного имущества.
       Одновременно органы внутренних дел обращаются  к киевлянам,
возможным свидетелям событий на улице Воровского:  если имеете ка-
кието сведения об этом,  информацию,  которая  поможет  следствию,
раскрытию преступлдения,  позвоните в любое время суток по номерам
225-40-14 или 442-53-44.  За активность в содействии следствию ус-
тановлено значительное материальное вознаграждение.

                            Газ."Прапор комунiзму" 24 января 1990
                            С.Грицык, Л.Заседа, В.Рудник,
                            М.Терещенко, Т.Шибик.

                  КОГДА НОМЕР ГОТОВИЛСЯ К ПЕЧАТИ

    Как нам сообщили, из здания НИИ полупроводников, расположенно-
го  на  проспекте Науки,  на прошлой неделе похищен один компьютер
типа PC AT.  Данный компьютер марки BAY 1300 (1 флоппи-диск  1.2М,
винчестер 40 М, горизонтальное расположение плат) отличается малы-
ми габаритами системного блока(высота приблизительно 7  см),  что,
по-видимому,  позволило  вынести  его  в обычной спортивной сумке.
Преступник(и) взломал дверь и похитил только системный блок, кла-
виатуру и  мышь  (трехкнопочная  с  малой  левой кнопкой фирмы PRO
TECH). Монитор и принтер украдены не были.
     Просьба всем,  имеющим информацию,  сообщить ее по телефонам,
приведены выше.

                                                             Ред.


************************  Б Р А В О  !!! **************************
**** КОМПЬЮТРЭЙД ИНТЕРНЭШНЛ, ЛТД учреждает ежемесячную премию *****
********************* для журналистов ОГОНЬКА *********************

     В редакцию  журнала ОГОНЕК поступило письмо следующего содер-
жания:

                 " Уважаемый господин редактор !

     Деловые круги США с большим вниманием следят за ходом перест-
ройки в СССР.  Благодаря политике гласности пресса в СССР является
двигателем  перестройки,  но даже в этих условиях прозиция журнала
"Огонек"  выделяется  своей  последовательностью  и  бескомпромис-
ностью.
     Американская фирма КОМПЬЮТРЭЙД ИНТЕРНЭШНЛ,  ЛТД хотела бы со-
действовать материальному стимулированию журналистов,  пишущих для
вашего издания, и предлагает учредить ежемесячную премию в размере
500 советских рублей за лучшую публикацию месяца, определяемую чи-
тателями журнала.
     С уважением к редакции, президент МАРК ПЕКАР ".

                                         Текст письма воспроизведен
                                         по публикации в ОГОНЬКЕ
